/**
 * Counters.java
 *
 * File generated from the XValidationReport1::Counters uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.xvalidation.core.report;

// End of user code
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;

import org.w3c.dom.Node;

/**
 * Description of the class Counters.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Counters", propOrder = { "nrOfChecks", "nrOfValidationErrors", "nrOfValidationWarnings",
		"nrOfValidationInfos", "nrOfValidationReports", "nrOfValidationUnknown", "nrOfValidationAborted" })
@XmlRootElement(name = "Counters")
public class Counters implements java.io.Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@XmlElement(name = "nrOfChecks", required = true)
	private Integer nrOfChecks;
	@XmlElement(name = "NrOfValidationErrors", required = true)
	private Integer nrOfValidationErrors;
	@XmlElement(name = "NrOfValidationWarnings", required = true)
	private Integer nrOfValidationWarnings;
	@XmlElement(name = "NrOfValidationInfos", required = true)
	private Integer nrOfValidationInfos;
	@XmlElement(name = "NrOfValidationReports", required = true)
	private Integer nrOfValidationReports;
	@XmlElement(name = "NrOfValidationUnknown", required = true)
	private Integer nrOfValidationUnknown;
	@XmlElement(name = "NrOfValidationAborted", required = true)
	private Integer nrOfValidationAborted;
	

	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private org.w3c.dom.Node xmlNodePresentation;

	public Counters() {
		super();
		this.nrOfChecks = 0;
		this.nrOfValidationErrors = 0;
		this.nrOfValidationInfos = 0;
		this.nrOfValidationReports = 0;
		this.nrOfValidationUnknown = 0;
		this.nrOfValidationWarnings = 0;
		this.nrOfValidationAborted = 0;
	}

	/**
	 * Return nrOfChecks.
	 * 
	 * @return nrOfChecks
	 */
	public Integer getNrOfChecks() {
		return nrOfChecks;
	}

	/**
	 * Set a value to attribute nrOfChecks.
	 * 
	 * @param nrOfChecks
	 *            .
	 */
	public void setNrOfChecks(Integer nrOfChecks) {
		this.nrOfChecks = nrOfChecks;
	}

	/**
	 * Return nrOfValidationErrors.
	 * 
	 * @return nrOfValidationErrors
	 */
	public Integer getNrOfValidationErrors() {
		return nrOfValidationErrors;
	}

	/**
	 * Set a value to attribute nrOfValidationErrors.
	 * 
	 * @param nrOfValidationErrors
	 *            .
	 */
	public void setNrOfValidationErrors(Integer nrOfValidationErrors) {
		this.nrOfValidationErrors = nrOfValidationErrors;
	}

	/**
	 * Return nrOfValidationWarnings.
	 * 
	 * @return nrOfValidationWarnings
	 */
	public Integer getNrOfValidationWarnings() {
		return nrOfValidationWarnings;
	}

	/**
	 * Set a value to attribute nrOfValidationWarnings.
	 * 
	 * @param nrOfValidationWarnings
	 *            .
	 */
	public void setNrOfValidationWarnings(Integer nrOfValidationWarnings) {
		this.nrOfValidationWarnings = nrOfValidationWarnings;
	}

	/**
	 * Return nrOfValidationInfos.
	 * 
	 * @return nrOfValidationInfos
	 */
	public Integer getNrOfValidationInfos() {
		return nrOfValidationInfos;
	}

	/**
	 * Set a value to attribute nrOfValidationInfos.
	 * 
	 * @param nrOfValidationInfos
	 *            .
	 */
	public void setNrOfValidationInfos(Integer nrOfValidationInfos) {
		this.nrOfValidationInfos = nrOfValidationInfos;
	}

	/**
	 * Return nrOfValidationReports.
	 * 
	 * @return nrOfValidationReports
	 */
	public Integer getNrOfValidationReports() {
		return nrOfValidationReports;
	}

	/**
	 * Set a value to attribute nrOfValidationReports.
	 * 
	 * @param nrOfValidationReports
	 *            .
	 */
	public void setNrOfValidationReports(Integer nrOfValidationReports) {
		this.nrOfValidationReports = nrOfValidationReports;
	}

	/**
	 * Return nrOfValidationUnknown.
	 * 
	 * @return nrOfValidationUnknown
	 */
	public Integer getNrOfValidationUnknown() {
		return nrOfValidationUnknown;
	}

	/**
	 * Set a value to attribute nrOfValidationUnknown.
	 * 
	 * @param nrOfValidationUnknown
	 *            .
	 */
	public void setNrOfValidationUnknown(Integer nrOfValidationUnknown) {
		this.nrOfValidationUnknown = nrOfValidationUnknown;
	}

	public Node getXmlNodePresentation() {
		if (xmlNodePresentation == null) {
			xmlNodePresentation = ObjectFactory.getXmlNodePresentation("", "Counters", this);
		}
		return xmlNodePresentation;
	}

	public void setXmlNodePresentation(Node xmlNodePresentation) {
		this.xmlNodePresentation = xmlNodePresentation;
	}

	public void incrementReport() {
		this.nrOfValidationReports++;
	}

	public void incrementError() {
		this.nrOfValidationErrors++;
	}

	public void incrementInfo() {
		this.nrOfValidationInfos++;
	}

	public void incrementWarning() {
		this.nrOfValidationWarnings++;
	}

	public void incrementUnknown() {
		this.nrOfValidationUnknown++;
	}
	
	public void incrementAborted() {
		this.nrOfValidationAborted++;
	}

	public Integer getNrOfValidationAborted() {
		return nrOfValidationAborted;
	}

	public void setNrOfValidationAborted(Integer nrOfValidationAborted) {
		this.nrOfValidationAborted = nrOfValidationAborted;
	}

}